/* Copyright (c) 2001-2005 Todd C. Stellanova, rawthought
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The  above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE. 
 * 
 * Created on October 31, 2002, 12:01 PM
 */
package org.kablog.midlet2;

import javax.microedition.lcdui.*;
import java.util.*;
import java.io.*;
/**
 *
 * @author  Todd C. Stellanova
 */

public class UserSetupForm extends SetupFormBase {
    
    private TextField usernameInput;
    private TextField passwordInput;
 

    public UserSetupForm(KablogMIDlet myParent) {
     super("User Setup",myParent);   
    }//constructor
    
    public void collectFormData(KablogPrefs prefs) {
        prefs.sUsername = usernameInput.getString();
        prefs.sPassword = passwordInput.getString();
     
        if (prefs.sUsername.equals("buddy") && prefs.sPassword.equals("cheezeass")) {
           prefs.bBlogSelected = true;
           prefs.sCurBlogID = "testo";
        }
        prefs.bUserInfoEdited = true;
    }//collectFormData
    
    public void addFormItems(KablogPrefs prefs) {
         usernameInput = new TextField("Username:", prefs.sUsername, 32, TextField.ANY);
         //XXX is it too difficult to enter blind passwords on some phones?
         passwordInput = new TextField("Password:", prefs.sPassword, 32, TextField.PASSWORD);  

         append(usernameInput);
         append(passwordInput);
         
    }//addFormItems
    
//CommandAction
    
}//class UserSetupForm

